      subroutine interlog(xx,lxx,ndx)
      implicit real*8 (a-h,o-z)
      real*8 xx(*)
      logical*4 lxx(*)
c
      nn = ndx
      dx = xx(2)-xx(1)
      do i=1,ndx-1
        do j=2,9
          nn = nn+1
          xx(nn) = xx(i)+dlog10(dble(j))*dx
          lxx(nn) = .false.
        enddo
      enddo
      ndx = nn
      end
